# $Id: smeserver-openvpn-s2s.spec,v 1.13 2024/09/06 01:30:08 terryfage Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: OpenVPN, a strong VPN solution built over SSL, for site to site tunnels
%define name smeserver-openvpn-s2s
Name: %{name}
%define version 0.2
%define release 20
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Remote access
Source: %{name}-%{version}.tar.xz

Patch0: smeserver-openvpn-s2s-0.2-use_verify_x509_name.patch
Patch1: smeserver-openvpn-s2s-0.2-locale-2015-02-17.patch
Patch2: smeserver-openvpn-s2s-0.2-locale-2015-07-01.patch
Patch3: smeserver-openvpn-s2s-0.2-fix_daemon_id_validation.patch
Patch4: smeserver-openvpn-s2s-0.2-locale-2017-12-02.patch
Patch5: smeserver-openvpn-s2s-0.2-Alter-for-systemd-startup.patch
Patch6: smeserver-openvpn-s2s-0.2-sme10.patch
Patch7: smeserver-openvpn-s2s-0.2-locale-2021-08-23.patch
Patch8: smeserver-openvpn-s2s-0.2-locale-2021-09-08.patch
Patch9: smeserver-openvpn-s2s-0.2-bz12019-backup.patch
Patch10: smeserver-openvpn-s2s-0.2-bz12224.patch
Patch11: smeserver-openvpn-s2s-0.2-bz12244-log.patch
Patch12: smeserver-openvpn-s2s-0.2-locale-2024-09-06.patch

BuildArchitectures: noarch

BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

Requires: e-smith-base
Requires: openvpn >= 2.1

%description
This package contains all the needed scripts and templates
to run openvpn in client or server mode for site to site tunnels

%changelog
* Fri Sep 06 2024 Terry Fage <terry@fage.id.au> 0.2-20.sme
- apply locale 2024-09-06.patch

* Tue Nov 29 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-19.sme
- log in locale time [SME: 12244]

* Fri Nov 18 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-18.sme
- improve panel display [SME: 12224]

* Sat Jul 30 2022 Brian Read <brianr@bjsystems.co.uk> 0.2-17.sme
- Re-build and link to latest devtools [SME: 11997]

* Sat Jul 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-16.sme
- add to core backup [SME: 12019]

* Wed Sep 08 2021 Terry Fage <terry.fage@gmail.com> 0.2-14.sme
- apply locale 2021-09-08 patch

* Mon Aug 23 2021 Terry Fage <terry.fage@gmail.com> 0.2-14.sme
- apply locale 2021-08-23 patch

* Thu Apr 01 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-13.sme
- Re-build and link to latest devtools permission on log dir [SME: 11516]

* Wed Mar 31 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-12.sme
- Re-build and link to latest devtools typos [SME: 11498]

* Tue Mar 30 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-11.sme
- enforce better cipher with settings [SME: 11498]
- enforce better HMAC with setting [SME: 11498]
- enforce TLS 1.2 or better with setting [SME: 11498]
- enforce strong TLS ciphers with setting [SME: 11498]
- better list of vpn connections [SME: 11337]
- allow soft reload of individual connection [SME: 11337]
- Re-build and link to latest devtools incorect permission on private keys [SME: 11337]

* Thu Feb 04 2021 Brian Read <brianr@bjsystems.co.uk> 0.2-9.sme
- Initial import to SME10 [SME: 11337]
- Alter-for-systemd-startup

* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 0.2-8.sme
- apply locale 2017-12-02 patch

* Wed Oct 25 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2-7.sme
- Fix daemon ID validation [SME: 10446]

* Mon Feb 8 2016 Daniel Berteaud <daniel@firewall-services.com> 0.2-6.sme
- Create /etc/openvpn/s2s/dev/urandom [SME: 9238]

* Wed Jul 1 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.2-5.sme
- Apply smeserver-openvpn-s2s-0.2-locale-2015-07-01.patch [SME: 8967]

* Tue Feb 17 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2-4.sme
- Apply locale 2015-02-17 patch

* Thu Dec 18 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2-3.sme
- Create required (but unused) /etc/openvpn/s2s/tmp dir

* Thu Nov 14 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2-2.sme
- Use verify-x509-name instead of tls-remote

* Mon Nov 11 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2-1.sme
- Rebuild for SME9

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 0.1-22.sme
- apply locale 2013-07-14 patch

* Thu Oct 13 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-21.sme
- Apply locale 2011-10-13 patch

* Thu Jun 2 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-20.sme
- Fix remote host description

* Wed Jun 1 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-19.sme
- SNAT outbound connexions to use the local IP as source

* Tue Apr 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-18.sme
- Reduce inactivity timeout

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 0.1-17.sme
- apply locale 2011-03-06 patch

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-16.sme
- Stop disabling service on rpm removal (spec change only)

* Tue Dec 7 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-15.sme
- Remove useless smb.conf template

* Tue Dec 7 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-14.sme
- Fix type variable (thks M. Doerner)

* Mon Nov 8 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-13.sme
- Apply locale 2010-11-08 patch

* Thu Nov 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-12.sme
- Apply locale 2010-11-04 patch 

* Tue Nov 02 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Remove the nice directive

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Expand smb.conf and restart samba services

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-9.sme
- Fix typo in up script

* Mon Oct 18 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-8.sme
- Various enhancement in templates
- Set wget timeout
- Fix crontab templates

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-7.sme
- Implement CRL updates and verification
- Fix masq template

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-6.sme
- Set VPN networks non removable

* Sun Oct 17 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-5.sme
- Rename logrotate configuration file
- Add missingok to logrotate conf
- Support per configuration customization
- Add TLS auth support

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-4.sme
- Fix adding routes in up script
- Log drop trafic
- Fix multiple net validation

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- allow one-way VPN with AllowInbound prop

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-3.sme
- Various fixes

* Mon Oct 4 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-1.sme
- initiale release (based on work from Florian Dejan)

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
perl createlinks

%{__mkdir_p} root/etc/openvpn/s2s/priv
%{__mkdir_p} root/etc/openvpn/s2s/pub
%{__mkdir_p} root/etc/openvpn/s2s/tmp
%{__mkdir_p} root/etc/openvpn/s2s/dev
%{__mkdir_p} root/etc/openvpn/s2s/etc
%{__mkdir_p} root/var/run/openvpn-s2s
%{__mkdir_p} root/var/log/openvpn-s2s

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/chmod +x $RPM_BUILD_ROOT/usr/sbin/systemd/openvpn-s2s
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /etc/openvpn/s2s/pub 'attr(0755,root,root)' \
  --dir /etc/openvpn/s2s/priv 'attr(0750,root,root)' \
  --dir /etc/openvpn/s2s/tmp 'attr(0750,root,root)' \
  --dir /etc/openvpn/s2s/etc 'attr(0750,root,root)' \
  --dir /var/log/openvpn-s2s 'attr(0770,root,root)' \
  --file /etc/openvpn/s2s/bin/up 'attr(4750,root,openvpn)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ \! -c /etc/openvpn/s2s/dev/urandom ]; then
    mknod -m 0444 /etc/openvpn/s2s/dev/urandom c 1 9
fi
#chown root:root /var/log/openvpn-s2s
%preun
